Bug 840485 - Explain how to mount volumes over CIFS
Explain how to mount volumes over CIFS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
2.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Divya
Sudhir D
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 09:32 EDT by Niels de Vos
Modified: 2015-04-10 03:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-10 03:14:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niels de Vos 2012-07-16 09:32:04 EDT
"9.3.1.2. Manually Mounting Volumes Using CIFS" only explains how to use Windows to mount over CIFS. A lot of customers will want to use CIFS on Linux as well (more options on authentication). It would be good to document that for completeness.
Comment 2 Divya 2012-08-06 09:18:53 EDT
I have added instructions on using Linux to mount over CIFS. The documentation of the same is available at: http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Storage/2.0/html/Administration_Guide/sect-Administration_Guide-GlusterFS_Client-CIFS.html#id2857734
Comment 3 Ujjwala 2012-08-13 08:33:30 EDT
The above mentioned url is not browseable, so I verified it from source and it looks fine.

https://svn.devel.redhat.com/repos/ecs/Red_Hat_Storage/2.0/Administration_Guide/en-US/admin_settingup_clients.xml
Comment 4 Niels de Vos 2012-08-13 09:34:22 EDT
Thanks! Two minor points I'd like to add for improving:

1. use the full filename for /etc/samba/smb.conf instead of smb.conf
2. instead of passing username+password in /etc/fstab, use the 'credentials=' 
   option as advised in 'man mount.cifs':

       credentials=filename
           specifies a file that contains a username and/or password. The
           format of the file is:

                         username=value
                         password=value
           This is preferred over having passwords in plaintext in a shared
           file, such as /etc/fstab. Be sure to protect any credentials file
           properly.
Comment 6 Niels de Vos 2012-09-18 07:01:35 EDT
Could you use a clearer example? I think it would be easier for users to understand if you have something like 'credentials=/etc/samba/mountpoint.passwd' instead of 'credentials=file1'.

As the format of the (in this example) /etc/samba/mountpoint.passwd is important, it would be good to have a reference to the manual page of 'mount.cifs' which explains the format.

Thanks again!
Comment 8 Ujjwala 2012-12-11 00:02:10 EST
Verified in the above mentioned link and it looks fine.

Note You need to log in before you can comment on or make changes to this bug.